<?php

namespace App\Classes\Modules\Companies\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Companies\DataTransferObjects\EmploymentObject;

class CompanyEmployeeValidation extends AbstractValidation
{
    /**
     * @param EmploymentObject $object
     * @return array
     */
    protected function data($object): array 
    {
        return [
            'company_id' => $object->getCompanyModule()->id,
            'user_id' => $object->getUser()->id,
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array 
    {
        return [
            'company_id' => 'required',
            'user_id' => 'required',
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array 
    {
        return [];
    }
}